První setkání s Connect IQ

Standart

Jelikož Garmin představil nové hodinky a k nim i platformu pro vývoj doplňků, vzhledů a funkcí, rozhodl jsem se, že se jí alespoň trochu podívám na zoubek. Ačkoliv na webu sem tam něco udělám, při prvním rozbalení některých ukázkových kódů jsem si připadal jako bych koukal na „manuál k japonskému videu“. Naštěstí mám kolegu jehož nadšení pro podobné srandičky je lehce nakažlivé, a tak jsem se rozhodl u toho chvilku posedět.

No a ta chvilka se protáhla na několik hodin, následně několik odpolední a nakonec vlastně několik dní. Něco jsem pochopil, něco se naučil a něco málo i okoukal od ostatních. A jelikož už netrpělivě čekám na dodání fenix3, „blbnu“ s tím vlastně hlavně z čistě osobních důvodů.

Pokud si tedy nainstalujete program Eclipse a do něj správné knihovny (tři kroky uvedeny níže v textu), můžete se do toho pustit. Je však pár věcí, které je potřeba vědět. Například pro jaké zařízení budete aplikaci/watchface atd vytvářet, jelikož přístroje s hranatým i kulatým displeje mají jiná rozlišení a některé také pracují s jiným počtem barev.

V tuto chvíli je věc následující:

fenix3 – displej 1,2“, 218x218px, 16 barev
forerunner 920xt – displej 1,4“, 205x148px, 16 barev
vívoactive – displej 1,4“, 205x148px; 64 barev
epix – displej 1,4“, 205x148px; 64 barev

Rozhraní programu Eclipse je velice příjemné. Pokud nemáte po ruce zařízení na kterém byste mohli své dílo zkoušet, můžete si spustit i simulátor daného zařízení a aplikaci/widget/watchface vyzkoušet v něm. Ovšem, na monitoru budou samozřejmě zobrazené barvy trochu jiné než na hodinkách.

Sám jsem se zatím snažil vytvořit pouze watchface s vybranými daty která mne zajímají. V tomto případě jsou zde i omezení a některá data nelze zobrazovat na stránce hodin. Některá omezení jsou způsobena tím, že v SDK ještě nejsou všechny funkce, některá pak přímo souvisí s funkčností hodinek jelikož například na fenix3 pokud spustíte aktivitu, není standardně vidět stránka zobrazující hodiny (jako tomu bylo u fenix a fenix2), ale je možno listovat jen stránkami s uživatelem definovanými datovými poli, mapou, kompasem, případně stránkami s grafy nadm.výšky, teploty atd. Dalším omezením u přístrojů je také to, že aplikace třetích stran nemohou zobrazovat/aktualizovat pohyb vteřinové ručičky (nesmějí sahat do paměti tak často). Dalšími omezeními je omezení počtu aplikací/vzhledů/datových polí v hodinkách a také omezení paměti, kterou smí aplikace využít při běhu.

Vytvoříte-li si v aplikaci nový Connect IQ projekt s nějakým jménem, je třeba následně nastavit pro jaké/á zařízení bude, o jaký typ se jedná a s čím má povoleno pracovat (screeny níže). Součástí SDK jsou mimojiné vzorové projekty s kódy a ukázky vykreslování grafiky a dalších věcí, které je možno v Eclipse naimportovat a následně prohlédnout jejich kód, nebo rovnou spustit v simulátoru a zobrazit výsledný „produkt“.

Jak tedy na to:

  1. Stáhnout aplikaci Eclipse Luna (správnou verzi pro Váš systém)
  2. Doinstalovat do ní aktuální knihovny Connect.iq-SDK
  3. Nastavit si rozhraní pro Connect IQ a hurá na to.

Více informací zde: http://developer.garmin.com/connect-iq/

* pro možnost nahrávat vzhledy hodinek a případně datová pole je třeba mít v hodinkách poslední verzi firmware a taktéž poslední verzi aplikace Express (PC/MAC) a nebo poslední verzi aplikace Connect Mobile ve svém chytrém telefonu

První setkání s Connect IQ
2 komentářů

  1. Radek H.

    Dobrý den, nedaří se mi nainstalovat knihovny Connect.iq-SDK.

    Je možno poskytnout nějaký návod.

    Děkuji

    Radek H.

    • Tříska

      Zdravím,

      já postupoval tak jak bylo uvedeno na webu http://developer.garmin.com/ – tedy stáhnout do nějaké složky Eclipse a do jeho složky pak vytvořit podsložku pro příslušné SDK (pojmenováno dle verze např connectiq-sdk-win-1.0.0). Do příslušné složky jsem pak jen nakopíroval obsah ZIP souboru s SDK. Jen pozor, v názvech složek nesmí být mezery a podtržítka, protože pak nefunguje spouštění simulátoru a tvorby a exportu aplikace samotné. Takže třeba složka "Program Files" není vhodná kvůli mezeře v názvu.

      Doporučím instalovat a tvořit prozatím v SDK 1.1.4. Funkce, které jsou v nové 1.2.0 beta ještě nejsou podporované v přístrojích.

      Tomáš

Napsat komentář

Vaše emailová adresa nebude zveřejněna. Vyžadované informace jsou označeny *

*